
SET(PACKAGE_VERSION 1)
SET(PACKAGE_NAME qgifer)

IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
    INCLUDE(InstallRequiredSystemLibraries)
    SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A video-based gif creator.")
    SET(CPACK_PACKAGE_VENDOR "Apkawa")
    SET(CPACK_PACKAGE_CONTACT "Ivanov Arkadiy")
    SET(CPACK_RESOURCE_FILE_LICENSE	${CMAKE_SOURCE_DIR}/doc/LICENSE)
    SET(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/doc/README)

    SET(CPACK_PACKAGE_VERSION_MAJOR "${QGIFER_VERSION_MAJOR}")
    SET(CPACK_PACKAGE_VERSION_MINOR "${QGIFER_VERSION_MINOR}")
    SET(CPACK_PACKAGE_VERSION_PATCH "${QGIFER_VERSION_PATCH}")

    SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_NAME}_${QGIFER_VERSION}-${PACKAGE_VERSION}_${CMAKE_SYSTEM_PROCESSOR}")

    IF(WIN32)
        SET(CPACK_PACKAGE_EXECUTABLES "${TARGET_NAME};${CMAKE_PROJECT_NAME}")
        SET(CPACK_PACKAGE_FILE_NAME "${PACKAGE_NAME}_${QGIFER_VERSION}-${PACKAGE_VERSION}-win32")
        SET(CPACK_PACKAGING_INSTALL_PREFIX ".")
         SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
             CreateShortCut \\\"$DESKTOP\\\\${CMAKE_PROJECT_NAME}.lnk\\\" \\\"$INSTDIR\\\\${TARGET_NAME}.exe\\\"
         ")
         SET(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "
             Delete \\\"$DESKTOP\\\\${CMAKE_PROJECT_NAME}.lnk\\\"
         ")
    ENDIF(WIN32)

    IF(UNIX)
        SET(CPACK_SET_DESTDIR "on")
        SET(CPACK_GENERATOR "DEB")

        SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")


        SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.1.3), libc6 (>= 2.3.6-6~), libgcc1 (>= 1:4.1.1), libgif4 (>= 4.1.4), libopencv-core2.4, libopencv-highgui2.4, libopencv-imgproc2.4, libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.6.1), libstdc++6 (>= 4.1.1)")

        SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
        SET(CPACK_DEBIAN_PACKAGE_SECTION "video")
        SET(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

        SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
    ENDIF(UNIX)


    CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/cmake/CPackOptions.cmake.in"
        "${CMAKE_BINARY_DIR}/CPackOptions.cmake" @ONLY)
    SET(CPACK_PROJECT_CONFIG_FILE "${CMAKE_BINARY_DIR}/CPackOptions.cmake")

    INCLUDE(CPack)

ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")


